package auth

import (
	"github.com/gin-gonic/gin"
	"net/http"
	res "sghgogs.com/micro/shopping-service-client/response"
	"sghgogs.com/micro/shopping-service-client/utils"
	pb "sghgogs.com/micro/shopping-service-service/proto"
)

// Logout
// @summary 退出登录
// @Description
// @Tags Auth
// @Accept json
// @Produce json
// @Param Authorization header string true "Bearer 用户令牌"
// @Success 200 {object} response.ApiResponse "成功"
// @Failure 400 {object} response.ApiResponse "请求错误"
// @Failure 500 {object} response.ApiResponse "内部错误"
// @Router /admin/v1/api/logout [post]
func (svc *Auth) Logout(c *gin.Context) {
	ctx, _ := utils.CreateContextWithToken(c, "authorizationservice", "CommonService.AdminLogout")
	svc.Service.Logout(ctx, &pb.LogoutRequest{})
	c.JSON(http.StatusOK, res.SuccessResponse(nil))
}
