package response

import (
	"time"
)

type Order struct {
	ID            int64       `json:"id"`
	UserID        int64       `json:"user_id"`
	User          User        `json:"user"`
	AddressID     int64       `json:"address_id"`
	Address       Address     `json:"address"`        // 配送地址
	TotalAmount   int32       `json:"total_amount"`   // 订单总金额
	Status        string      `json:"status"`         // 订单状态
	PaymentMethod string      `json:"payment_method"` // 支付方式
	CreatedAt     time.Time   `json:"created_at"`
	UpdatedAt     *time.Time  `json:"updated_at"`
	OrderItems    []OrderItem `json:"order_items"`
	Payment       Payment     `json:"payment"`
}

type OrderItem struct {
	ID        int64   `json:"id"`
	OrderID   int64   `json:"order_id"`
	ProductID int64   `json:"product_id"`
	Product   Product `json:"product"`
	Quantity  int32   `json:"quantity"`
	Subtotal  int64   `json:"subtotal"`
}
