package response

import (
	"sghgogs.com/micro/shopping-service-client/domain/model/base"
	"time"
)

type User struct {
	ID          int64              `json:"id"`
	Username    string             `json:"username"`
	PhoneNumber string             `json:"phone_number"`
	Email       string             `json:"email"`
	Avatar      string             `json:"avatar"`
	CreatedAt   time.Time          `json:"created_at"` // 创建时间
	CreatedBy   string             `json:"created_by"`
	UpdatedAt   *time.Time         `json:"updated_at"` // 更新时间
	UpdatedBy   string             `json:"updated_by"`
	Status      base.Status        `json:"status"`
	Roles       []base.ListMapItem `json:"roles"`
	// Addresses    []Address          `json:"addresses"`
	// ShoppingCart []ShoppingCartItem `json:"shopping_cart"`
	// Order        []Order            `json:"order"`
}

type UserAuth struct {
	ID         int64  `json:"id"`
	UserID     int64  `json:"user_id"`    // 用户 ID
	OauthType  string `json:"oauth_type"` // 第三方登陆类型 weibo、qq、wechat 等
	OauthID    string `json:"oauth_id"`   // 第三方 uid 、openid 等
	UnionID    string `json:"union_id"`   // QQ / 微信同一主体下 UnionId 相同
	Credential string `json:"credential"` // 密码凭证 /access_token (目前更多是存储在缓存里)
}
